#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "GroundDetectorActorInterface.generated.h"

class UBaseGroundDetectorComponent;

UINTERFACE()
class ANIMATIONUTILITIES_API UGroundDetectorActorInterface : public UInterface
{
	GENERATED_BODY()
};

class ANIMATIONUTILITIES_API IGroundDetectorActorInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION()
	virtual UBaseGroundDetectorComponent* GetRightFrontFootGroundDetector() const PURE_VIRTUAL(GetRightFrontFootGroundDetector,  return NULL;);;

	UFUNCTION()
	virtual UBaseGroundDetectorComponent* GetRightFootGroundDetector() const PURE_VIRTUAL(GetRightFootGroundDetector,  return NULL;);;

	UFUNCTION()
	virtual UBaseGroundDetectorComponent* GetLeftFrontFootGroundDetector() const PURE_VIRTUAL(GetLeftFrontFootGroundDetector,  return NULL;);;

	UFUNCTION()
	virtual UBaseGroundDetectorComponent* GetLeftFootGroundDetector() const PURE_VIRTUAL(GetLeftFootGroundDetector,  return NULL;);;

};
